#!/bin/bash

set -eux

DATE_STAMP=$(date '+%s')

apt install asterisk asterisk-dev libasound2-dev build-essential git

mkdir asterisk-chan-quectel-${DATE_STAMP}

cd asterisk-chan-quectel-${DATE_STAMP}

mkdir build

cd build

git clone https://github.com/IchthysMaranatha/asterisk-chan-quectel.git .

./bootstrap

INSTALLED_AST_VERSION=$(asterisk -V | cut -d " " -f 2)

./configure --with-astversion=${INSTALLED_AST_VERSION}

make

make install
